Novell Home

CVE-2013-2061

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2013-2061 at MITRE

Description

The openvpn_decrypt function in crypto.c in OpenVPN 2.3.0 and earlier, when running in UDP mode, allows remote attackers to obtain sensitive information via a timing attack involving an HMAC comparison function that does not run in constant time and a padding oracle attack on the CBC mode cipher.

NVD CVSS v2 Base Score: 2.6 (AV:N/AC:H/Au:N/C:P/I:N/A:N)

Novell/SUSE information

Novell Bugzilla entry: 843509

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • openvpn >= 2.0.9-143.40.5
Builds
SAT Patch Nr: 8493
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • openvpn >= 2.0.9-143.40.5
  • openvpn-auth-pam-plugin >= 2.0.9-143.40.5
Builds
SAT Patch Nr: 8493
SUSE Linux Enterprise Desktop 11 SP2
  • openvpn >= 2.0.9-143.33.3.1
Builds
SAT Patch Nr: 8496
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • openvpn >= 2.0.9-143.33.3.1
  • openvpn-auth-pam-plugin >= 2.0.9-143.33.3.1
Builds
SAT Patch Nr: 8496

List of products where fixes are in QA

SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware

© 2014 Novell